/**
 * @license
 * Copyright 2021 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
export type Genders = 'M' | 'F' | 'N';
export type WordNumber = 'SIN' | 'PLU';
export interface WordSinPlu {
    SIN?: string;
    PLU?: string;
}
export type WordInfoKey = 'DAT' | 'GEN' | 'AKK' | 'NOM' | 'G';
export type WordInfoKeyCaseOnly = 'DAT' | 'GEN' | 'AKK' | 'NOM';
export interface WordInfo {
    DAT?: WordSinPlu;
    GEN?: WordSinPlu;
    AKK?: WordSinPlu;
    NOM?: WordSinPlu;
    G?: Genders;
}
export interface WordsInfo {
    [key: string]: WordInfo;
}
